package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_项目和部门关联对象 zsyz_project_dept
 * 
 * @author boman
 * @date 2023-02-23
 */
public class ZsyzProjectDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;
    /**
     * 是否回复
     */
    private String isHf;
    /**
     * 部门类型(1:承接地 2:要素部门 3:招商引荐单位)
     */
    private String deptType;
    /**
     * 是否删除当项目重新指派的时候删除原来指派的部门,打上标记 成为历史指派
     */
    private String isDel;
    /**
     * 审核结果
     * 审核结果（是否通过  1：待审核，2：通过 3:不通过)
     */

    private String shjg;
    /**
     * 审核意见
     */
    private String shyj;

    public String getDeptType() {
        return deptType;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public String getShjg() {
        return shjg;
    }

    public void setShjg(String shjg) {
        this.shjg = shjg;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public String getIsHf() {
        return isHf;
    }

    public void setIsHf(String isHf) {
        this.isHf = isHf;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }

    @Override
    public String toString() {
        return "ZsyzProjectDept{" +
                "id=" + id +
                ", xmId=" + xmId +
                ", xmbh='" + xmbh + '\'' +
                ", xmmc='" + xmmc + '\'' +
                ", deptId=" + deptId +
                ", deptName='" + deptName + '\'' +
                ", ancestors='" + ancestors + '\'' +
                ", isHf='" + isHf + '\'' +
                ", deptType='" + deptType + '\'' +
                ", isDel='" + isDel + '\'' +
                ", shjg='" + shjg + '\'' +
                ", shyj='" + shyj + '\'' +
                '}';
    }
}
